FreeBSD Administration - Bug #400

Apache will not start with OpenSSL from ports
06/08/2014 05:51 PM - Daniel Curtis

Status: Closed Start date: 06/08/2014
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Web Server Estimated time: 0.50 hour
Target version: FreeBSD 9 Spent time: 0.50 hour
Description

| encountered an error where | had to recompile in support for a non-standard module into Apache. The error started after | did a

cd /usr/ports/www/apache2?2
make reinstall clean

When | went to restart apache | received the following error:

service apache22 restart

httpd: Syntax error on line 9 of /usr/local/etc/apache22/httpd.conf: Syntax error on line 35 of
/ust/local/etc/apache22/conf/modules.conf: Cannot load /usr/local/libexec/apache22/mod_ssl.so into server:

/usr/local/libexec/apache22/mod_ssl.so: Undefined symbol "TLSv1_2_server_method"

/usr/local/etc/rc.d/apache22: WARNING: failed to start apache22

| found that | needed to recompile the Apache Portable Runtime then reinstall Apache, like so:

cd /usr/ports/devel/aprl
make reinstall clean

cd /usr/ports/www/apache22
make reinstall clean

After the reinstallation of the two packages completed, | was able to restart apache successfully:

service apache22 restart

Performing sanity check on apache22 configuration:
Syntax OK

Stopping apache22.

Waiting for PIDS: 60931.

Performing sanity check on apache22 configuration:
Syntax OK

Starting apache22.

History

#1 - 06/08/2014 06:15 PM - Daniel Curtis

- Status changed from Resolved to Closed

#2 - 02/15/2015 09:09 PM - Daniel Curtis
- Project changed from 91 to FreeBSD Administration
- Category set to Web Server

- Target version set to FreeBSD 9
